Vla-adddimarc

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-adddimangular vla-object ArcCenter FirstEndPoint SecondEndPoint ArcPoint)


機能
円弧の弧長寸法を作成する。


引数
  • vla-object … VLAオブジェクト(Block、ModelSpace、PaperSpace)
  • ArcCenter… 円弧の中心点を指定する 3D WCS 座標。
  • FirstEndPoint… 寸法補助線の 1 番目の端点を指定する 3D WCS 座標。
  • SecondEndPoint… 寸法補助線の 2 番目の端点を指定する 3D WCS 座標。
  • ArcPoint… 円弧上の点を指定する 3D WCS 座標。


戻り値
新しく作成される弧長寸法の VLA オブジェクト


Memo
  • ArcCenter は、寸法を記入する円弧の中心。
  • FirstEndPoint および SecondEndPoint は、2 本の寸法補助線がそれぞれ通過する点。


サンプル
(vl-load-com)
(defun c:Example_AddDimArc()
    ;; This example creates an arc and arc length dimension in model space.
    (setq cadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument cadObj))
  
    (setq modelSpace (vla-get-ModelSpace doc))

    ;; 円弧を作成
    (setq center (vlax-3d-point 0 0 0))
    (setq arc (vla-AddArc modelSpace center 10 (/ PI 3) (/ (* PI 3) 4)))
    
    ;; 寸法を定義
    (setq arcPoint (vlax-3d-point 0 15 0)
          startPoint (vla-get-StartPoint arc)
          endPoint (vla-get-EndPoint arc))
  
    ;; 弧長寸法をモデルに作成
    (setq dimArcLength (vla-AddDimArc modelSpace center startPoint endPoint arcPoint))
    (vla-ZoomExtents cadObj)
)

関連事項